> For the complete documentation index, see [llms.txt](https://docs.caviarnine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caviarnine.com/api/coingecko.md).

# CoinGecko

#### Tickers

<mark style="color:blue;">`GET`</mark> `https://api-core.caviarnine.com/v1.0/cg/tickers`

The /tickers endpoint provides 24-hour pricing and volume information on each market pair available on CaviarNine.

#### Pairs

<mark style="color:blue;">`GET`</mark> `https://api-core.caviarnine.com/v1.0/cg/pairs`

The /tickers endpoint returns active pairs and components on CaviarNine

#### Order Book

<mark style="color:blue;">`GET`</mark> `https://api-core.caviarnine.com/v1.0/cg/orderbook`

Returns the orderbook to a particular depth for a pair of resources.

eg \
[`https://api-core.caviarnine.com/v1.0/cg/orderbook?ticker_id=resource_rdx1tkk83magp3gjyxrpskfsqwkg4g949rmcjee4tu2xmw93ltw2cz94sq-resource_rdx1tknxxxxxxxxxradxrdxxxxxxxxx009923554798xxxxxxxxxradxrd&depth=100`](https://api-core.caviarnine.com/v1.0/cg/orderbook?ticker_id=resource_rdx1tkk83magp3gjyxrpskfsqwkg4g949rmcjee4tu2xmw93ltw2cz94sq-resource_rdx1tknxxxxxxxxxradxrdxxxxxxxxx009923554798xxxxxxxxxradxrd\&depth=100)

#### Path Parameters

| Name                                         | Type   | Description                 |
| -------------------------------------------- | ------ | --------------------------- |
| ticker\_id<mark style="color:red;">\*</mark> | String | `<resource1> - <resource2>` |
| depth                                        | String | `50`                        |
